Bug 85750 - konqueror crash while switching virtual desktops
konqueror crash while switching virtual desktops
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-06 15:58 EST by Chris Ricker
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-09 11:53:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2003-03-06 15:58:48 EST
I had konqueror up as a file browser on one desktop. When I switched to another
virtual desktop and then back, konqueror crashed:

(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...[New Thread 1092520352 (LWP 3836)]
0xffffe002 in ?? ()
#0  0xffffe002 in ?? ()
#1  0x4063957d in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#2  <signal handler called>
#3  0x40c20e10 in QGList::findRef(void*, bool) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#4  0x40c20a74 in QGList::removeRef(void*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#5  0x4020460d in KDirListerCache::forgetDirs(KDirLister*, KURL const&, bool)
    () from /usr/lib/libkio.so.4
#6  0x4020451d in KDirListerCache::forgetDirs(KDirLister*) ()
   from /usr/lib/libkio.so.4
#7  0x40208e5e in KDirLister::~KDirLister() () from /usr/lib/libkio.so.4
#8  0x41c83f0c in KonqSidebarDirTreeModule::~KonqSidebarDirTreeModule() ()
   from /usr/lib/kde3/konq_sidebartree_dirtree.so
#9  0x41ca89ee in QPtrList<KonqSidebarTreeModule>::deleteItem(void*) ()
   from /usr/lib/libkonq_sidebar_tree.so
#10 0x40c20dce in QGList::clear() () from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#11 0x41ca18a8 in KonqSidebarTree::clearTree() ()
   from /usr/lib/libkonq_sidebar_tree.so
#12 0x41ca16c9 in KonqSidebarTree::~KonqSidebarTree() ()
   from /usr/lib/libkonq_sidebar_tree.so
#13 0x409e77c8 in QWidget::~QWidget() () from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#14 0x404beb89 in KDockWidget::~KDockWidget() () from /usr/lib/libkdeui.so.4
#15 0x404c222b in KDockManager::~KDockManager() () from /usr/lib/libkdeui.so.4
#16 0x404caf3c in KDockArea::~KDockArea() () from /usr/lib/libkdeui.so.4
#17 0x409e77c8 in QWidget::~QWidget() () from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#18 0x4163b864 in Sidebar_Widget::~Sidebar_Widget() ()
   from /usr/lib/kde3/konq_sidebar.so
#19 0x40050c3a in KParts::Part::~Part() () from /usr/lib/libkparts.so.2
#20 0x400514c7 in KParts::ReadOnlyPart::~ReadOnlyPart() ()
   from /usr/lib/libkparts.so.2
#21 0x41631566 in KonqSidebar::~KonqSidebar() ()
   from /usr/lib/kde3/konq_sidebar.so
#22 0x412c841c in KonqView::~KonqView() () from /usr/lib/konqueror.so
#23 0x412d09dd in KonqViewManager::clear() () from /usr/lib/konqueror.so
#24 0x412cd06a in KonqViewManager::~KonqViewManager() ()
   from /usr/lib/konqueror.so
#25 0x412a3fe8 in KonqMainWindow::~KonqMainWindow() ()
   from /usr/lib/konqueror.so
#26 0x409b6d03 in QObject::event(QEvent*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#27 0x409ecf8c in QWidget::event(QEvent*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#28 0x40a93ae2 in QMainWindow::event(QEvent*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#29 0x4095af24 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#30 0x4095ab19 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#31 0x405cd1e9 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#32 0x4095bcba in QApplication::sendPostedEvents(QObject*, int) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#33 0x4096ecd9 in QEventLoop::enterLoop() ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#34 0x4096eb98 in QEventLoop::exec() () from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#35 0x4095b151 in QApplication::exec() ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#36 0x4129f3e7 in main () from /usr/lib/konqueror.so
#37 0x0804ca81 in strcpy ()
#38 0x0804d73b in strcpy ()
#39 0x0804dbec in strcpy ()
#40 0x0804e8f9 in strcpy ()
#41 0x420154a0 in __libc_start_main () from /lib/tls/libc.so.6
Comment 1 Chris Ricker 2003-03-06 16:18:03 EST
BTW, this was a fresh install of beta5
Comment 2 Chris Ricker 2005-05-09 11:53:20 EDT
Closing this since the release is no longer maintained

Note You need to log in before you can comment on or make changes to this bug.